Bug 536976 - SELinux is preventing /usr/libexec/dovecot/deliver "signull" access.
Summary: SELinux is preventing /usr/libexec/dovecot/deliver "signull" access.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:e44dfec0f62...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-12 01:29 UTC by Ajay Ramaswamy
Modified: 2009-11-24 07:48 UTC (History)
2 users (show)

Fixed In Version: 3.6.32-46.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-24 07:48:34 UTC
Type: ---


Attachments (Terms of Use)

Description Ajay Ramaswamy 2009-11-12 01:29:10 UTC
Summary:

SELinux is preventing /usr/libexec/dovecot/deliver "signull" access.

Detailed Description:

SELinux denied access requested by deliver. It is not expected that this access
is required by deliver and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:dovecot_deliver_t:s0
Target Context                system_u:system_r:dovecot_t:s0
Target Objects                None [ process ]
Source                        deliver
Source Path                   /usr/libexec/dovecot/deliver
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           dovecot-1.2.6-4.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.i686 #1
                              SMP Sat Nov 7 21:41:45 EST 2009 i686 i686
Alert Count                   2
First Seen                    Wednesday 11 November 2009 05:50:57 PM IST
Last Seen                     Wednesday 11 November 2009 05:50:57 PM IST
Local ID                      d8956f75-1e15-4754-b988-c4df8f8942b9
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1257942057.781:25): avc:  denied  { signull } for  pid=2144 comm="deliver" scontext=system_u:system_r:dovecot_deliver_t:s0 tcontext=system_u:system_r:dovecot_t:s0 tclass=process

node=(removed) type=SYSCALL msg=audit(1257942057.781:25): arch=40000003 syscall=37 success=no exit=-13 a0=84c a1=0 a2=4afaac29 a3=0 items=0 ppid=2111 pid=2144 auid=4294967295 uid=502 gid=502 euid=502 suid=502 fsuid=502 egid=502 sgid=502 fsgid=502 tty=(none) ses=4294967295 comm="deliver" exe="/usr/libexec/dovecot/deliver" subj=system_u:system_r:dovecot_deliver_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,deliver,dovecot_deliver_t,dovecot_t,process,signull
audit2allow suggests:

#============= dovecot_deliver_t ==============
allow dovecot_deliver_t dovecot_t:process signull;

Comment 1 Daniel Walsh 2009-11-12 13:48:47 UTC
Fixed in selinux-policy-3.6.32-44.fc12.noarch

Comment 2 Fedora Update System 2009-11-16 19:37:44 UTC
selinux-policy-3.6.32-46.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-46.fc12

Comment 3 Fedora Update System 2009-11-18 14:11:35 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11672

Comment 4 Fedora Update System 2009-11-24 07:46:32 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.